### Constructor

# GnomeAutoar Compressor new

#### Declaration [src]

    AutoarCompressor*
    autoar_compressor_new (
      GList* source_files,
      GFile* output_file,
      AutoarFormat format,
      AutoarFilter filter,
      gboolean create_top_level_directory
    )

#### Description [src]

Create a new `AutoarCompressor` object.

#### Parameters

`source_files`

  Type: A list of `None`

  A `GList` of source `GFiles` to be archived.

  The data is owned by the caller of the function.

`output_file`

  Type: `GFile`

  Output directory of the new archive, or the file name of the new archive if you set `AutoarCompressor:output-is-dest` on the returned object.

  The data is owned by the caller of the function.

`format`

  Type: `AutoarFormat`

  The compression format.

`filter`

  Type: `AutoarFilter`

  The compression filter.

`create_top_level_directory`

  Type: `gboolean`

  No description available.

#### Return value

Type: `AutoarCompressor`

A new `AutoarCompressor` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.